#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/aarch64-linux-gnu/unity8/qml/mocks:/usr/lib/aarch64-linux-gnu/unity8/qml/utils:/usr/lib/aarch64-linux-gnu/unity8/qml
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/aarch64-linux-gnu/unity8/qml/mocks/liblightdm:/usr/lib/aarch64-linux-gnu/unity8/qml/mocks/libusermetrics:/usr/lib/aarch64-linux-gnu/unity8/qml/mocks/WindowManager
export QT_QPA_PLATFORM=minimal
export UITK_ICON_THEME=suru
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/aarch64-linux-gnu/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" --parameter -o --parameter $ARTIFACTS_DIR/tests/plugins/Greeter/Unity/Launcher/testLauncherModelAS.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/plugins/Greeter/Unity/Launcher"
    touch "$ARTIFACTS_DIR/tests/plugins/Greeter/Unity/Launcher/testLauncherModelAS.xml"
fi

'/usr/bin/dbus-test-runner' '--task' '/usr/lib/aarch64-linux-gnu/unity8/tests/plugins/AccountsService/mock-server' '--ignore-return' '--task' '/usr/lib/aarch64-linux-gnu/unity8/tests/plugins/Greeter/Unity/Launcher/launchermodelastestExec' '--wait-for' 'org.freedesktop.Accounts' $XML_ARGS '--parameter' '-o' '--parameter' '-,txt' "$@"